<div class="modal-header">
    <h4 class="modal-title">{{'calendar.event' | translate}}</h4>
    <button type="button" class="btn-close" (click)="close()"></button>
</div>
<div class="modal-body m-3">
    <form [formGroup]="form">
        <div class="form-group mb-3">
            <label>{{'calendar.color' | translate}}</label>
            <input type="color" class="form-control form-control-color" value="#563d7c" formControlName="color">
        </div>        
        <div class="form-group mb-3">
            <label>{{'calendar.name' | translate}}</label>
            <input type="text" class="form-control" formControlName="title">
        </div>
        <div class="form-group mb-3">
            <label>{{'calendar.startDate' | translate}}</label>
            <input type="datetime-local" class="form-control" formControlName="start">
        </div>
        <div class="form-group mb-3">
            <label>{{'calendar.endDate' | translate}}</label>
            <input type="datetime-local" class="form-control" formControlName="end">
        </div>
        <div class="form-check mb-3">    
            <input type="checkbox" class="form-check-input" formControlName="allDay">
            <label class="form-check-label">{{'calendar.allDay' | translate}}</label>
        </div>
        <div class="form-floating mb-3">
            <textarea class="form-control" id="comment" cols="30" rows="10" formControlName="comment"></textarea>
            <label for="comment">{{'calendar.discription' | translate}}</label>
        </div>
        <div class="d-flex justify-content-between">
            <button class="btn btn-primary" type="submit" (click)="submit()"   *ngIf="!eventId" [disabled]="!form.valid">{{'calendar.save' | translate}}</button>
            <button class="btn btn-primary" type="submit" (click)="update()"  *ngIf="!!eventId" [disabled]="!form.valid">{{'calendar.fix' | translate}}</button>
            <button class="btn py-0 text-danger trash" (click)="removeEvent()" *ngIf="!!eventId"><i class="bi bi-trash fs-3"></i></button>
        </div>  
    </form>
</div>